Subject: Re: Regarding offloading IPv6 addrconf and ndisc

From: Kazunori Miyazawa <[email-masked]>
Date: Thu, 27 Jul 2006 21:25:28 +0900

Hi,

I'm interested in the approach. And I have a couple of comments.
I think DAD and ND are time critical operations.
Can the daemons process with confirming to the specs.
even if it were swapped out?
Can we prevent the oom killer from killing the daemons?

Anyway, we have to consider Pros. and Cons of the approach.

Regards,

Hugo Santos wrote:
> Hi all,
> 
>    In the same line as some of the recent IPv6 patches being submited
>  for comments, and taking into consideration RFCs such as 'SEcure
>  Neighbor Discovery (SEND)' (RFC 3971) and 'Cryptographically Generated
>  Addresses (CGA)' (RFC 3972) where the complexity associated with
>  maintaining addresses and performing neighbor discovering increases
>  considerably, what would be the possibility of inclusion of code that
>  would allow the outsource of address configuration, DAD and neighbor
>  discovery to a user-space control application (being that the first two
>  can already be somewhat outsourced)? Of course that the final decision
>  is always based on the patch itself but i would like to probe the
>  developers about the possibility of ever merging such code. Personally
>  i believe that this kind of control logic should always be in
>  user-space to allow for greater flexibility -- but i'm aware that lots
>  of people prefer to have it in kernel to minimize deployment
>  dependencies.
> 
>     Comments?
> 
>     Hugo

--
Kazunori Miyazawa